# $Revision: 1.267.2.17 $, $Date: 2009/11/20 14:02:43 $
#
# Conditional build:
%bcond_without	static		# link binaries with glib dynamically
#
Summary:	inittab and /etc/rc.d scripts
Summary(de.UTF-8):	inittab und /etc/rc.d Scripts
Summary(fr.UTF-8):	inittab et scripts /etc/rc.d
Summary(pl.UTF-8):	inittab i skrypty startowe z katalogu /etc/rc.d
Summary(tr.UTF-8):	inittab ve /etc/rc.d dosyaları
Name:		rc-scripts
Version:	0.4.2.6
Release:	1
License:	GPL v2
Group:		Base
Source0:	ftp://distfiles.pld-linux.org/src/%{name}-%{version}.tar.gz
# Source0-md5:	969442e0b04c3ff3ebb8f301f52fb879
Patch0:		dropcaps.patch
Patch1:		%{name}-modules.patch
Patch2:		typo.patch
URL:		http://svn.pld-linux.org/cgi-bin/viewsvn/rc-scripts/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel
%{?with_static:BuildRequires:	glib2-static}
BuildRequires:	libcap-devel >= 2.17
BuildRequires:	linux-libc-headers >= 2.6.27
BuildRequires:	pkgconfig
BuildRequires:	popt-devel
Requires(post):	fileutils
%ifarch sparc sparcv9 sparc64
Requires:	agetty
%endif
Requires:	/bin/awk
Requires:	/bin/basename
Requires:	/bin/gettext
Requires:	/bin/nice
Requires:	/bin/ps
Requires:	SysVinit
Requires:	blockdev
Requires:	coreutils
Requires:	filesystem >= 2.0-1
Requires:	findutils
Requires:	fsck
Requires:	gettext
Requires:	grep
Requires:	iproute2
Requires:	mingetty
Requires:	mktemp
Requires:	module-init-tools
Requires:	mount >= 2.12
Requires:	net-tools
Requires:	procps >= 1:3.2.6-1.1
Requires:	psmisc >= 22.5-2
Requires:	utempter
Requires:	util-linux
Provides:	initscripts
Obsoletes:	initscripts
Obsoletes:	vserver-rc-scripts
Conflicts:	LPRng < 3.8.0-2
Conflicts:	dev < 2.9.0-22
Conflicts:	iputils-arping < 1:ss021109-6
Conflicts:	openssh-server < 2:3.6.1p2-6
Conflicts:	psacct < 6.3.5-10
Conflicts:	tzdata < 2007b-1.1
Conflicts:	wpa_supplicant < 0.6.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_exec_prefix	/
%define		localedir	/etc/sysconfig/locale
%define 	_bindir		/bin
%define		_sbindir	/sbin

%description
This package contains the scripts use to boot a system, change run
levels, and shut the system down cleanly.

%description -l de.UTF-8
Dieses Paket enthält die Scripts, die zum Hochfahren des Systems,
Ändern der Betriebsebene und sauberem Herunterfahren des Systems
erforderlich sind. Außerdem enthält es die Scripts, die
Netzwerkschnittstellen aktivieren und deaktivieren.

%description -l fr.UTF-8
Ce package contient les scripts utilisés pour démarrer le systéme,
changer les niveaux d'exécution, et arréter le systéme proprement. Il
contient aussi les scripts qui activent et désactivent la plupart des
inetrfaces réseau.

%description -l pl.UTF-8
Pakiet zawiera skrypty uruchamiane przy starcie i zamykaniu systemu, a
także przy zmianie jego poziomu pracy.

%description -l tr.UTF-8
Bu paket, sistem açmak, çalışma düzeylerini değiştirmek ve sistemi
düzgün bir şekilde kapatmak için gereken dosyaları içerir. Ayrıca pek
çok bilgisayar ağı arayüzlerini etkinleştiren ya da edilginleştiren
programcıklar içerir.

%prep
%setup -q
%patch0 -p0
%patch1 -p1
%patch2 -p1

%build
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	--with-localedir=%{localedir}
%{__make} \
	%{!?with_static:ppp_watch_LDADD="-lglib-2.0" ppp_watch_DEPENDENCIES=}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/var/{run/netreport,log}
install -d $RPM_BUILD_ROOT/etc/sysconfig/hwprofiles

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	%{!?with_static:ppp_watch_LDADD="-lglib-2.0" ppp_watch_DEPENDENCIES=}

for i in 0 1 2 3 4 5 6; do
	install -d $RPM_BUILD_ROOT/etc/rc.d/rc$i.d
done

for i in 2 3 4 5; do
	ln -s ../init.d/local $RPM_BUILD_ROOT/etc/rc.d/rc$i.d/S99local
	ln -s ../init.d/network $RPM_BUILD_ROOT/etc/rc.d/rc$i.d/S10network
	ln -s ../init.d/allowlogin $RPM_BUILD_ROOT/etc/rc.d/rc$i.d/S99allowlogin
	ln -s ../init.d/sys-chroots $RPM_BUILD_ROOT/etc/rc.d/rc$i.d/S99sys-chroots
done

for i in 1 2 3 4 5; do
	ln -s ../init.d/killall $RPM_BUILD_ROOT/etc/rc.d/rc$i.d/S00killall
	ln -s ../init.d/cpusets $RPM_BUILD_ROOT/etc/rc.d/rc$i.d/S01cpusets
	ln -s ../init.d/random $RPM_BUILD_ROOT/etc/rc.d/rc$i.d/S20random
done

for i in 0 2 3 4 5 6; do
	ln -s ../init.d/single $RPM_BUILD_ROOT/etc/rc.d/rc$i.d/K00single
done

ln -s ../init.d/single $RPM_BUILD_ROOT/etc/rc.d/rc1.d/S00single

for i in 0 6; do
	ln -s ../init.d/cpusets $RPM_BUILD_ROOT/etc/rc.d/rc$i.d/K99cpusets
	ln -s ../init.d/killall $RPM_BUILD_ROOT/etc/rc.d/rc$i.d/K90killall
	ln -s ../init.d/random $RPM_BUILD_ROOT/etc/rc.d/rc$i.d/K80random
done

for i in 0 1 6; do
	ln -s ../init.d/network $RPM_BUILD_ROOT/etc/rc.d/rc$i.d/K90network
	ln -s ../init.d/allowlogin $RPM_BUILD_ROOT/etc/rc.d/rc$i.d/K01allowlogin
	ln -s ../init.d/sys-chroots $RPM_BUILD_ROOT/etc/rc.d/rc$i.d/K01sys-chroots
	ln -s ../init.d/local $RPM_BUILD_ROOT/etc/rc.d/rc$i.d/K01local
done

> $RPM_BUILD_ROOT/var/log/dmesg

# make /etc/init.d symlink relative
ln -nfs rc.d/init.d $RPM_BUILD_ROOT/etc/init.d

# in static-routes can be also rules:
ln -s static-routes $RPM_BUILD_ROOT/etc/sysconfig/static-rules

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f /etc/inittab.rpmsave ]; then
	echo "**** Found old /etc/inittab.rpmsave ****"
	echo "/etc/inittab renamed to /etc/inittab.rpmnew"
	mv -f /etc/inittab /etc/inittab.rpmnew
	echo "/etc/inittab.rpmsave renamed to /etc/inittab."
	mv -f /etc/inittab.rpmsave /etc/inittab
fi
touch /var/log/dmesg
chown root:root /var/log/dmesg
chmod 640 /var/log/dmesg
touch /var/cache/rc-scripts/msg.cache
chmod 644 /var/cache/rc-scripts/msg.cache
chown root:root /var/cache/rc-scripts/msg.cache

# move network interfaces description files to new location
%triggerpostun -- initscripts
mv -f /etc/sysconfig/network-scripts/ifcfg-* /etc/sysconfig/interfaces

%files
%defattr(644,root,root,755)
%doc ChangeLog
%doc doc/*.txt rc.d/init.d/template.init
%doc sysconfig/interfaces/data/chat-ppp*
%doc sysconfig/interfaces/ifc*
%doc sysconfig/interfaces/tnl*
%doc sysconfig/init-colors*
%doc doc/sysvinitfiles

%dir /etc/rc.d
%dir /etc/rc.d/init.d
%dir /etc/rc.d/rc?.d
/etc/init.d

/etc/rc.d/init.d/functions
%attr(754,root,root) /etc/rc.d/init.d/allowlogin
%attr(754,root,root) /etc/rc.d/init.d/cpusets
%attr(754,root,root) /etc/rc.d/init.d/cryptsetup
%attr(754,root,root) /etc/rc.d/init.d/killall
%attr(754,root,root) /etc/rc.d/init.d/local
%attr(754,root,root) /etc/rc.d/init.d/network
%attr(754,root,root) /etc/rc.d/init.d/random
%attr(754,root,root) /etc/rc.d/init.d/single
%attr(754,root,root) /etc/rc.d/init.d/sys-chroots

%attr(754,root,root) /etc/rc.d/rc
%config(noreplace) %verify(not md5 mtime size) /etc/rc.d/rc.local
%attr(754,root,root) /etc/rc.d/rc.init
%attr(754,root,root) /etc/rc.d/rc.sysinit
%attr(754,root,root) /etc/rc.d/rc.shutdown
%attr(754,root,root) /etc/rc.d/rc?.d/K??allowlogin
%attr(754,root,root) /etc/rc.d/rc?.d/K??cpusets
%attr(754,root,root) /etc/rc.d/rc?.d/K??killall
%attr(754,root,root) /etc/rc.d/rc?.d/K??local
%attr(754,root,root) /etc/rc.d/rc?.d/K??network
%attr(754,root,root) /etc/rc.d/rc?.d/K??random
%attr(754,root,root) /etc/rc.d/rc?.d/K??single
%attr(754,root,root) /etc/rc.d/rc?.d/K??sys-chroots
%attr(754,root,root) /etc/rc.d/rc?.d/S??allowlogin
%attr(754,root,root) /etc/rc.d/rc?.d/S??cpusets
%attr(754,root,root) /etc/rc.d/rc?.d/S??killall
%attr(754,root,root) /etc/rc.d/rc?.d/S??local
%attr(754,root,root) /etc/rc.d/rc?.d/S??network
%attr(754,root,root) /etc/rc.d/rc?.d/S??random
%attr(754,root,root) /etc/rc.d/rc?.d/S??single
%attr(754,root,root) /etc/rc.d/rc?.d/S??sys-chroots

%dir /var/cache/rc-scripts
%ghost /var/cache/rc-scripts/msg.cache

%attr(755,root,root) /etc/profile.d/lang.*sh

%attr(755,root,root) %{_bindir}/doexec
%attr(755,root,root) %{_bindir}/ipcalc
%attr(755,root,root) %{_bindir}/resolvesymlink
%attr(755,root,root) %{_bindir}/run-parts
%attr(755,root,root) %{_bindir}/usleep

%attr(755,root,root) %{_sbindir}/consoletype
%attr(755,root,root) %{_sbindir}/fstab-decode
%attr(755,root,root) %{_sbindir}/genhostid
%attr(755,root,root) %{_sbindir}/getkey
%attr(755,root,root) %{_sbindir}/hwprofile
%attr(755,root,root) %{_sbindir}/if*
%attr(755,root,root) %{_sbindir}/initlog
%attr(755,root,root) %{_sbindir}/loglevel
%attr(755,root,root) %{_sbindir}/minilogd
%attr(755,root,root) %{_sbindir}/netreport
%attr(755,root,root) %{_sbindir}/ppp-watch
%attr(755,root,root) %{_sbindir}/service
%attr(755,root,root) %{_sbindir}/setsysfont
%attr(755,root,root) %{_sbindir}/start-stop-daemon
%attr(755,root,root) %{_sbindir}/tnl*
%attr(4755,root,root) %{_sbindir}/usernetctl

%dir %{_sysconfdir}/ppp
%attr(754,root,root) %{_sysconfdir}/ppp/*
%dir /etc/sysconfig/cpusets
%dir /etc/sysconfig/hwprofiles
%dir /etc/sysconfig/interfaces
%dir /etc/sysconfig/interfaces/data
%dir /etc/sysconfig/isapnp

%dir /etc/sysconfig/network-scripts
%attr(755,root,root) /etc/sysconfig/network-scripts/ifdown-br
%attr(755,root,root) /etc/sysconfig/network-scripts/ifdown-irda
%attr(755,root,root) /etc/sysconfig/network-scripts/ifdown-post
%attr(755,root,root) /etc/sysconfig/network-scripts/ifdown-ppp
%attr(755,root,root) /etc/sysconfig/network-scripts/ifdown-sl
%attr(755,root,root) /etc/sysconfig/network-scripts/ifdown-vlan
/etc/sysconfig/network-scripts/ifup-aliases
%attr(755,root,root) /etc/sysconfig/network-scripts/ifup-br
%attr(755,root,root) /etc/sysconfig/network-scripts/ifup-ipx
%attr(755,root,root) /etc/sysconfig/network-scripts/ifup-irda
%attr(755,root,root) /etc/sysconfig/network-scripts/ifup-iucv
/etc/sysconfig/network-scripts/ifup-neigh
%attr(755,root,root) /etc/sysconfig/network-scripts/ifup-plip
%attr(755,root,root) /etc/sysconfig/network-scripts/ifup-plusb
%attr(755,root,root) /etc/sysconfig/network-scripts/ifup-post
%attr(755,root,root) /etc/sysconfig/network-scripts/ifup-ppp
/etc/sysconfig/network-scripts/ifup-routes
%attr(755,root,root) /etc/sysconfig/network-scripts/ifup-sl
%attr(755,root,root) /etc/sysconfig/network-scripts/ifup-vlan

/etc/sysconfig/network-scripts/functions.network
%dir /etc/sysconfig/interfaces/down.d
%dir /etc/sysconfig/interfaces/down.d/*
%dir /etc/sysconfig/interfaces/up.d
%dir /etc/sysconfig/interfaces/up.d/*
%attr(755,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/interfaces/down.d/ppp/logger
%attr(755,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/interfaces/up.d/ppp/logger
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/isapnp/isapnp-kernel.conf
%attr(640,root,root) %ghost /var/log/dmesg
%attr(750,root,root) %dir /var/run/netreport

%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/adjtime
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/crypttab
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/initlog.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/inittab
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/modules
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sysctl.conf
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/clock
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/cpusets/cpuset-test
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/hwprof
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/i18n
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/init-colors
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/interfaces/ifcfg-eth0
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/network
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/static-arp
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/static-nat
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/static-routes
%config(noreplace,missingok) %verify(not md5 mtime size) /etc/sysconfig/static-rules
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/system

%{_mandir}/man?/*
%lang(de) %{_mandir}/de/man?/*
%lang(es) %{_mandir}/es/man?/*
%lang(fr) %{_mandir}/fr/man?/*
%lang(ja) %{_mandir}/ja/man?/*
%lang(ru) %{_mandir}/ru/man?/*
%lang(sv) %{_mandir}/sv/man?/*

%dir %{localedir}
%lang(de) %{localedir}/de
%lang(pl) %{localedir}/pl

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: rc-scripts.spec,v $
Revision 1.267.2.17  2009/11/20 14:02:43  glen
- up to 0.4.2.6

Revision 1.267.2.16  2009/03/01 12:25:04  arekm
- rel 2; fix colors on 256 color terminals

Revision 1.267.2.15  2008/11/04 20:06:35  glen
- 0.4.1.25

Revision 1.267.2.14  2008/09/08 18:26:17  glen
- merge update to 0.4.1.24 from HEAD

Revision 1.267.2.13  2008-05-19 06:15:40  glen
- 0.4.1.23 md5

Revision 1.267.2.12  2008-05-19 06:15:27  glen
- 0.4.1.23

Revision 1.267.2.11  2008-03-26 19:35:57  paszczus
- 0.4.1.18

Revision 1.267.2.10  2008-03-26 08:16:48  glen
- 0.4.1.17

Revision 1.267.2.9  2008-03-24 19:24:12  glen
- 0.4.1.16

Revision 1.267.2.8  2007-12-30 13:53:19  glen
- update to 0.4.1.15

Revision 1.267.2.7  2007-12-11 12:37:28  glen
- update to 0.4.1.14

Revision 1.267.2.6  2007-12-10 22:25:47  arekm
- rel 2; don't overwrite sh session locales

Revision 1.267.2.5  2007-11-26 17:51:15  glen
- 0.4.1.13

Revision 1.267.2.4  2007-11-13 21:58:51  glen
- add crypto related files

Revision 1.267.2.3  2007-11-06 19:02:14  glen
- md5

Revision 1.267.2.2  2007/11/06 18:57:50  glen
- 0.4.1.12

Revision 1.267.2.1  2007/11/03 15:03:39  glen
- AC-branch

Revision 1.267  2007/11/02 02:31:59  glen
- 0.4.1.11

Revision 1.266  2007/11/01 13:37:10  qboosh
- fstab-decode enforces GPL v2 only

Revision 1.265  2007/11/01 13:27:35  glen
- 0.4.1.10

Revision 1.264  2007/09/26 12:51:16  glen
- 0.4.1.9

Revision 1.263  2007/09/25 11:43:38  glen
- update to 0.4.1.8

Revision 1.262  2007/09/05 14:24:17  baggins
- rel 2

Revision 1.261  2007/07/03 11:55:21  glen
- 0.4.1.7

Revision 1.260  2007/05/15 15:02:29  arvenil
- mv /sbin/fuser /bin/fuser (because KDE and users want it in PATH)

Revision 1.259  2007/05/01 01:18:43  baggins
- rel 1

Revision 1.258  2007/05/01 01:16:37  baggins
- 0.4.1.6

Revision 1.257  2007/04/27 23:34:28  qboosh
- added ppp-fixes patch

Revision 1.256  2007/04/26 16:58:22  baggins
- 0.4.1.5

Revision 1.255  2007/04/26 16:48:04  baggins
- replace R: fileutils,sh-utils,textutils with R: coreutils

Revision 1.254  2007/02/25 01:12:59  glen
- merged 0.4.1.4 from AC-branch

Revision 1.253  2007/02/25 01:11:17  glen
- adapter

Revision 1.252  2007/02/14 06:49:24  arekm
- rel 4

Revision 1.251  2007/02/12 22:09:12  glen
- tabs in preamble

Revision 1.250  2007/02/12 01:06:30  baggins
- converted to UTF-8

Revision 1.249  2007/02/06 19:53:55  arekm
- rel 3; localtime moved to tzdata

Revision 1.248  2007/02/03 23:51:02  arekm
- rel 2; package /etc/localtime

Revision 1.247  2007/01/11 14:39:05  glen
- update to 0.4.1.3

Revision 1.246  2006/12/05 17:10:49  arekm
- up to 0.4.1.2

Revision 1.245  2006/11/23 14:11:00  arekm
R: blockdev

Revision 1.244  2006/10/27 18:20:15  qboosh
- updated dep for sysconfig,lock/subsys,... dirs (FHS -> filesystem); release 2

Revision 1.243  2006/10/13 11:11:45  baggins
- removed cpuset_correct patch, it is NOT correcting anything
  just breaking everything

Revision 1.242  2006/10/13 06:48:21  arekm
- up to 0.4.1.1 (beta1)

Revision 1.241  2006/10/09 08:02:26  wolvverine
- add patch to cpusets

Revision 1.240  2006/10/06 04:04:19  wolvverine
- add patch2 - sleep past set MAC

Revision 1.239  2006/09/26 23:50:31  glen
- merge msg cache spec changes from AC-branch

Revision 1.238  2006/09/24 09:34:59  arekm
- up to 0.4.1.0 (beta)

Revision 1.237  2006/09/17 14:37:44  glen
- %files sorting

Revision 1.236  2006/09/13 19:15:41  wolf
- removed fuse patch

Revision 1.235  2006/09/12 18:44:14  glen
- bug-5795.patch; rel 3

Revision 1.234  2006/08/23 18:45:01  havner
- /etc/sysconfig in filesystem.spec

Revision 1.233  2006/07/17 17:02:01  wolf
- load fuse module if needed
- rel 2

Revision 1.232  2006/07/14 10:06:46  charles
- added -exclude_rm_cups.patch (don't remove /var/run/cups/certs)

Revision 1.231  2006/06/01 20:24:59  blues
- added link static-rules -> static-routes. In routes can be rules also.

Revision 1.230  2006/05/08 11:56:40  glen
- rel 1

Revision 1.229  2006/05/07 17:38:37  arekm
- up to 0.4.0.27

Revision 1.228  2006/05/07 17:17:50  arekm
- add hwprofiles dir

Revision 1.227  2006/04/13 16:20:39  twittner
- mark /etc/sysconfig/interfaces/{down,up}.d/ppp/logger
  as config - they are intended for customization

Revision 1.226  2006/03/24 21:53:09  glen
- add shutdown speedup and am patches

Revision 1.225  2006/03/18 14:22:05  grzegorz
- added patch3 with small corect of chat-ppp0 for plusgsm example

Revision 1.224  2006/03/11 17:47:31  adgor
- Added ifup-ppp.patch
- Release 3, STBR

Revision 1.223  2006/03/10 10:42:46  blues
- release 2 - devalias patch is back

Revision 1.222  2006/03/10 09:32:29  blues
- devalias should be applied after branch patch

Revision 1.221  2006/03/09 19:46:10  glen
- up to 0.4.0.26
- add network service fix patch

Revision 1.220  2006/02/14 00:34:23  baggins
- release 3
- added cpuset virtualization

Revision 1.219  2006/01/20 18:47:45  baggins
- typo

Revision 1.218  2006/01/20 18:47:09  baggins
- release 2
- don't let getkey hangout entire startup process
- don't filter_chroot() in vserver

Revision 1.217  2006/01/18 08:26:26  arekm
- up to 0.4.0.25 (con_serial_sparc dropped, see devel ML; typos/chown patches dropped - fixed upstream).

Revision 1.216  2006/01/15 07:47:08  ankry
- use current chown syntax, rel. 3

Revision 1.215  2006/01/09 17:26:46  arekm
- rel 2; typos fixed

Revision 1.214  2006/01/08 22:07:43  arekm
- always use ftp1

Revision 1.213  2006/01/08 22:04:45  arekm
- up to 0.4.0.24

Revision 1.212  2006/01/04 19:03:25  havner
- nice patch, but unfortunately it is flooding the screen, you'd have to
  have syslog before network up
- rel 3

Revision 1.211  2005/12/21 12:11:52  blues
- release 2 - added dhcpcd_logging.patch

Revision 1.210  2005/12/15 19:07:10  arekm
- up to 0.4.0.23

Revision 1.209  2005/12/04 23:17:15  glen
- adapterized (sorted %verify flags)

Revision 1.208  2005/11/22 19:07:22  baggins
- obsoletes vserver-rc-scripts now

Revision 1.207  2005/11/22 19:02:36  baggins
- updated to 0.4.0.22
- removed obsolete mactab-emptycheck patch

Revision 1.206  2005/11/22 18:42:10  baggins
- release 3
- added patch needed for non-legacy vserver detection

Revision 1.205  2005/11/10 21:49:57  havner
- locale patch
- rel 2

Revision 1.204  2005/10/30 20:12:35  arekm
- up to 0.4.0.21

Revision 1.203  2005/10/16 01:27:16  glen
- init.d/network: ignore non-empty but commented /etc/mactab

Revision 1.202  2005/10/04 14:56:42  glen
- make /etc/init.d symlink relative (useful when browsing files inside chroot)
- add sysvinitfiles to %doc

Revision 1.201  2005/09/19 21:34:53  pluto
- release 4 for rebuild without my buggy patch.

Revision 1.200  2005/09/19 10:09:15  pluto
- reverted.

Revision 1.199  2005/09/18 23:27:07  pluto
- launch unicode_start for utf8 locales .

Revision 1.198  2005/08/25 06:14:53  arekm
- rel 2; fix cpuset parts

Revision 1.197  2005/08/23 17:55:17  baggins
- release 1

Revision 1.196  2005/08/23 17:39:58  baggins
- updated to 0.4.0.20
- release 0.1

Revision 1.195  2005/07/07 16:42:20  glen
- also start/stop sys-chroot service by default

Revision 1.194  2005/07/07 16:36:38  glen
- fix network service not finding any interfaces under et_EE locale
- rel 3, STBR

Revision 1.193  2005/06/27 09:31:47  blues
- added plusgsm_example patch - fixed to make it working...

Revision 1.192  2005/06/15 18:33:39  misi3k
- typo

Revision 1.191  2005/06/15 18:03:03  misi3k
- rel 2
- added patch for console on ttyS0 on sparc, sparc64

Revision 1.190  2005/05/30 19:00:59  arekm
- up to 0.4.0.19

Revision 1.189  2005/05/24 15:30:25  glen
- patch to understand BOOTPROTO=static properly

Revision 1.188  2005/05/09 18:21:07  qboosh
- sorted verify() flags

Revision 1.187  2005/05/03 22:20:02  adamg
- added BOOTPRIO.patch (fixes generation of interfaces_boot list when
  using BOOTPRIO feature)
- release 2

Revision 1.186  2005/04/30 20:56:27  arekm
- rel 1

Revision 1.185  2005/04/01 18:24:30  darekr
- define _bindir/_sbindir to /bin, /sbin

Revision 1.184  2005/03/29 18:36:07  blues
- updated dev_alias patch, removed stupid TODO and reversed dev_alias bcond

Revision 1.183  2005/03/25 19:22:31  arekm
- up to 0.4.0.18 (but devalias patch not updated!)

Revision 1.182  2005/02/23 14:53:02  tommat
- added functions patch fixing displaing dots in show() finction
- rel 4, STBR

Revision 1.181  2005/02/17 20:07:46  wolf
- cut changelog

Revision 1.180  2005/02/17 19:03:45  adamg
- Requires: psmisc (fuser in rc.shutdown)

Revision 1.179  2005/01/06 22:04:42  havner
- rel 3 for fixed modules patch

Revision 1.178  2005/01/05 09:03:09  havner
- modules patch
- rel 2

Revision 1.177  2004/12/10 23:17:58  adamg
- updated to 0.4.0.16
- dropped svn patch (already applied)
- release 1

Revision 1.176  2004/10/26 15:24:49  wolf
- s/e2fsprogs/fsck/
